Subject: bug#63711: 30.0.50; Crash in xdisp.c when it->string is 0x0

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Aug 2023 21:34:48 +0300

> From: Thomas Fitzsimmons <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 03 Aug 2023 13:40:19 -0400
> 
> >> I installed a fix on the emacs-29 branch, let's hope it fixes 
> >> this. 
> > 
> > Thank you; I'm running a "-g -O0" build of emacs-29 tip now, 
> > with GDB attached.  I'll follow up in a month to confirm 
> > success, provided there are no issues in the meantime. 
> 
> I haven't seen this particular crash in over a month, after having 
> applied your patch; whereas before your patch I saw it at least 
> twice, so it seems your patch fixed the issue.  I'm closing this 
> bug report.

Thanks for getting back to us.  Emacs 29.1 was meanwhile released with
that fix, so you should not see this problem anymore once you install
it.